components:
  schemas:
    MetricReport_v1_5_2_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/MetricReport_v1_5_2_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    MetricReport_v1_5_2_MetricReport:
      additionalProperties: false
      description: The `MetricReport` schema represents a set of collected metrics.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/MetricReport_v1_5_2_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        Context:
          description: A context can be supplied at subscription time.  This property
            is the context value supplied by the subscriber.
          readOnly: true
          type: string
          x-longDescription: This property shall contain a client supplied context
            for the event destination to which this event is being sent.  This property
            shall only be present when sent as a payload in an event.
          x-versionAdded: v1_4_0
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        MetricReportDefinition:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The link to the definition of this metric report.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource of type
            `MetricReportDefinition`.
        MetricValues:
          description: An array of metric values for the metered items of this metric
            report.
          items:
            $ref: '#/components/schemas/MetricReport_v1_5_2_MetricValue'
          type: array
          x-longDescription: The values shall be metric values for this metric report.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        ReportSequence:
          deprecated: true
          description: The current sequence identifier for this metric report.
          readOnly: true
          type: string
          x-deprecatedReason: This property has been deprecated due to specification
            changes with regards to Server-Sent Events.
          x-longDescription: This property shall contain the current sequence identifier
            for this metric report.  The sequence identifier is a unique identifier
            assigned by the service for serializing metric reports as they are produced.
          x-versionDeprecated: v1_3_0
        Timestamp:
          description: The time associated with the metric report in its entirety.  The
            time of the metric report can be relevant when the time of individual
            metrics are minimally different.
          format: date-time
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the time when the metric
            report was generated.
          x-versionAdded: v1_1_0
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent a metric report in a Redfish
        implementation.  When a metric report is deleted, the historic metric data
        used to generate the report shall be deleted as well unless other metric reports
        are consuming the data.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    MetricReport_v1_5_2_MetricValue:
      additionalProperties: false
      description: Properties that capture a metric value and other associated information.
      properties:
        MetricDefinition:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          deprecated: true
          description: The link to the metric definition for this metric.
          readOnly: true
          x-deprecatedReason: This property has been deprecated in favor of the `MetricId`
            property.
          x-longDescription: This property shall contain a link to a resource of type
            `MetricDefinition` that describes what this metric value captures.
          x-versionDeprecated: v1_5_0
        MetricId:
          description: The metric definitions identifier that contains additional
            information for the source metric.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the value of the `Id` property
            of the `MetricDefinition` resource that contains additional information
            for the source metric.
        MetricProperty:
          description: The URI for the property from which this metric is derived.
          format: uri-reference
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain a URI following RFC6901-specified
            JSON pointer notation to the property from which this metric is derived.  The
            value of `MetricValue` may contain additional calculations performed on
            the property based upon the configuration of the `MetricReportDefinition`.
        MetricValue:
          description: The metric value, as a string.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the metric value, as a string.  For
            numeric metrics, the service shall convert the number to a string representation
            of the number.  For array metrics, the service shall convert the array
            to an RFC8259-defined JSON string.  For boolean metrics, this property
            shall contain the strings `true` or `false`.  If the metric value is `null`,
            this property shall contain `null`.
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
          x-versionAdded: v1_2_0
        Timestamp:
          description: The date and time when the metric is obtained.  A management
            application can establish a time series of metric data by retrieving the
            instances of metric value and sorting them according to their timestamp.
          format: date-time
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value shall time when the metric value was obtained.  Note
            that this value may be different from the time when this instance is created.
      type: object
      x-longDescription: This type shall contain properties that capture a metric
        value and other associated information.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    MetricReport_v1_5_2_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#MetricReport.v1_5_2.MetricReport'
x-copyright: Copyright 2014-2024 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '2022.2'
